package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 农事任务农具对象 FmsTaskmachine
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public class FmsTaskmachine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 农事任务农具标识 */
    private String taskmachId;

    /** 农事任务记录编号 */
    @Excel(name = "农事任务记录编号")
    private String taskrcdId;

    /** 机具标识 */
    @Excel(name = "机具标识")
    private String machId;

    /** 农事任务农具使用量 */
    @Excel(name = "农事任务农具使用量")
    private BigDecimal taskmachUsedcount;

    /** 农事任务农具投入金额 */
    private BigDecimal taskmachInvestmentAmount;

    public void setTaskmachId(String taskmachId)
    {
        this.taskmachId = taskmachId;
    }

    public String getTaskmachId()
    {
        return taskmachId;
    }
    public void setTaskrcdId(String taskrcdId)
    {
        this.taskrcdId = taskrcdId;
    }

    public String getTaskrcdId()
    {
        return taskrcdId;
    }
    public void setMachId(String machId)
    {
        this.machId = machId;
    }

    public String getMachId()
    {
        return machId;
    }
    public void setTaskmachUsedcount(BigDecimal taskmachUsedcount)
    {
        this.taskmachUsedcount = taskmachUsedcount;
    }

    public BigDecimal getTaskmachUsedcount()
    {
        return taskmachUsedcount;
    }

    public BigDecimal getTaskmachInvestmentAmount() {
        return taskmachInvestmentAmount;
    }

    public void setTaskmachInvestmentAmount(BigDecimal taskmachInvestmentAmount) {
        this.taskmachInvestmentAmount = taskmachInvestmentAmount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("taskmachId", getTaskmachId())
            .append("taskrcdId", getTaskrcdId())
            .append("machId", getMachId())
            .append("taskmachUsedcount", getTaskmachUsedcount())
            .append("taskmachInvestmentAmount", getTaskmachInvestmentAmount())
            .toString();
    }
}
